import { GraphQLCompositeType } from 'graphql';
import { Field, InlineFragment } from 'graphql-tool-utilities/ast';
export declare type KeyPath = string[];
export declare class FieldObject {
    field: Field;
    private keyPath;
    private document;
    readonly name: string;
    readonly compositeType: GraphQLCompositeType;
    constructor(field: Field, keyPath: KeyPath, document: Document);
}
export default class Document {
    name: string;
    fieldObjects: FieldObject[];
    private typesUsed;
    private fieldMap;
    constructor(name: string, {fields, inlineFragments}: {
        fields: Field[];
        inlineFragments?: InlineFragment[];
    });
    hasMultipleOfType(type: GraphQLCompositeType): boolean;
    fieldObjectForField(field: Field): FieldObject;
    private collectFragment(fragment, keyPath?);
    private collectField(field, parentKeyPath?);
}
